curl -X GET https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Customer found",
"customer": {
"id": 42,
"full_name": "Jane Smith",
"email": "jane.smith@example.com",
"phone": "9888888888",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"type": 1,
"company": null,
"airwallex_id": "cus_hkdmrtdc7hbdmb7beq3",
"cards": [
{
"is_default": true,
"card_id": "cst_hkdmsjbmchaath106cq",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
},
{
"card_id": "cst_hkdmsjbmchaath106cp",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
}
],
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
}
Customers
Retrieve customer
This endpoint makes an HTTP GET request to retrieve the details of a specific customer. Upon successful execution, the response returns a status code of 200 and a JSON object with the keys ‘message’ and ‘customer’.
GET
/
customer
/
{customer_id}
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Customer found",
"customer": {
"id": 42,
"full_name": "Jane Smith",
"email": "jane.smith@example.com",
"phone": "9888888888",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"type": 1,
"company": null,
"airwallex_id": "cus_hkdmrtdc7hbdmb7beq3",
"cards": [
{
"is_default": true,
"card_id": "cst_hkdmsjbmchaath106cq",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
},
{
"card_id": "cst_hkdmsjbmchaath106cp",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
}
],
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Path Parameters
string
required
The unique identifier of the customer.
Response Body
The response is in JSON format and contains:| Field | Type | Description |
|---|---|---|
message | string | A message related to the response. |
customerobject | object | An object containing the details of the customer. |
↳id | integer | The unique identifier of the customer. |
↳full_name | string | The full name of the customer. |
↳email | string | The email address of the customer. |
↳phone | string | The phone number of the customer. |
↳abn | string | The ABN (Australian Business Number) of the customer. |
↳address | string | The address of the customer. |
↳type | integer | The type of customer. |
↳companyobject | object | Details of the company associated with the customer (or null). |
↳name | string | Legal name of the company. |
↳abn | string | Company Australian Business Number. |
↳address | string | Registered company address. |
↳airwallex_id | string | Airwallex ID mapped to the customer. |
↳cardsarray | array | List of cards associated with the customer. |
↳is_default | boolean | Indicates if this is the default payment card. |
↳card_id | string | Unique identifier for the card. |
↳status | string | Consent status (e.g. ‘VERIFIED’). |
↳cardobject | object | Card detail properties container. |
↳expiry_month | string | Card expiry month (e.g. ‘04’). |
↳expiry_year | string | Card expiry year (e.g. ‘2044’). |
↳name | string | Cardholder name. |
↳bin | string | Card BIN (Bank Identification Number). |
↳last4 | string | Last 4 digits of the card (e.g. ‘1003’). |
↳brand | string | Card brand (e.g. ‘visa’). |
↳issuer_country_code | string | Issuer country code. |
↳card_type | string | Card type (e.g. ‘CREDIT’). |
↳fingerprint | string | Unique card fingerprint signature. |
↳issuer_name | string | Name of issuing financial institution. |
↳is_commercial | boolean | Indicates if the card is commercial. |
↳number_type | string | Number type of the card. |
↳save_card | string | Secure link to add a card. |
Response Codes
| Code | Description |
|---|---|
| 200 | If the request is successful, the details of the customer are returned. |
| 401 | Unauthorized. Missing or invalid authentication token. |
| 404 | Not Found. The requested customerId does not exist. |
| 500 | Internal Server Error. |
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/customer/cus_hkdmn5lcqh5enc37sp6");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Customer found",
"customer": {
"id": 42,
"full_name": "Jane Smith",
"email": "jane.smith@example.com",
"phone": "9888888888",
"abn": "12345678910",
"address": "123 Melbourne, NSW",
"type": 1,
"company": null,
"airwallex_id": "cus_hkdmrtdc7hbdmb7beq3",
"cards": [
{
"is_default": true,
"card_id": "cst_hkdmsjbmchaath106cq",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
},
{
"card_id": "cst_hkdmsjbmchaath106cp",
"status": "VERIFIED",
"card": {
"expiry_month": "04",
"expiry_year": "2044",
"name": "",
"bin": "40120003",
"last4": "1003",
"brand": "visa",
"issuer_country_code": "RU",
"card_type": "CREDIT",
"fingerprint": "bvM2E6aD50H35Unuisos6IYAEmw=",
"issuer_name": "VISA PRODUCTION SUPPORT CLIENT BID 1",
"is_commercial": false,
"number_type": "PAN"
}
}
],
"save_card": "https://app-qa-payments.mygigsters.com.au/save-card/cus_hkdm99dbsh9iactpfvh/f2c1d9d2-c50d-460e-9e07-a1c58fa025f7"
}
}
Last modified on November 10, 2026
Was this page helpful?
